Unified CCX Software Compatibility Matrix for 11.0(1)

From DocWiki

This is the approved revision of this page, as well as being the most recent.
Jump to: navigation, search

Go to: Compatibility Matrix for Unified CCX
Go to: Unified CCX Software Compatibility Matrix for 11.0(x) and Service Releases



Contents

Unified CCX and IP IVR

Unified CCX and Unified IP IVR

Supported Unified UCCX and Unified IP IVR Upgrade Paths1
Co-resident Unified Intelligence Center
Standalone Unified Intelligence Center
Co-resident Finesse
APIs
  • 11.0

   - 11.0.1.10000-75

  • 9.0(2)SU3  
  • 10.0(1)SU1
  • 10.5(1)SU1
  • 10.6(1)      
  • 10.6(1)SU1


  • 11.0(1)
  • 11.0(1)
  • 11.0(1)

CTI API

  • 13
  • 14
  • 15
  • 16

For Unified CCX configuration APIs and Finesse APIs, see the Cisco Unified Contact Center Express Developer Guide, located at developer.cisco.com/web/uccxapi/home.


1. Upgrades are supported from the Engineering Specials of all the mentioned Unified CCX versions.

Solution Products and Components

Cisco Unified Communications Manager and Business Edition 60001,1a and 70001,1a
Gateways for Outbound Agent and IVR2
Cisco MediaSense
Cisco SocialMiner
Cisco Prime Collaboration
10.x
11.x

Prime Deployment

Prime Assurance

  • 10.5(1)
  • 10.5(2)
  • 11.0(1)
  • 11.0(1a)
  • 11.5(1)

Router Series

  • 28XX
  • 29XX
  • 38XX
  • 39XX
  • 43XX
  • 44XX

Cisco IOS

  • 15.5(2)M
  • 15.5(3)M
  • 15.5(3)S4
  • 10.5(1)SU1
  • 11.0(1)
  • 11.5(1)
  • 11.0(1)
  • 10.5(1)
  • 10.6(1)
  • 11.0(1)
  • 10.5(1)
  • 10.6(1)


1. All the Engineering Special releases of Cisco Unified Communications Manager are qualified with Unified CCX if the corresponding Service Update version of the Unified CM is qualified with Unified CCX.
1a. All the Service Update (SU) releases of Cisco Unified Communications Manager are presumed qualified with Unified CCX if the corresponding release version of the Unified CM is qualified with Unified CCX.
2. Outbound Agent (Predictive and Progressive) and Outbound IVR are supported only on IOS versions that incorporate Call Progress Analysis. For information on Call Progress Analysis, see http://www.cisco.com/en/US/tech/tk652/tk701/tech_tech_notes_list.html.
3. CUBE is supported with the SIP Outbound Dialer and CPA; supported versions of CUBE are ISR Pi27 15.5(2) and Pi28 15.5(3).

4. Unified CCX Agent and IVR Outbound supports E1 R2 signaling on ISR Gateway 4451 with IOS version 15.5(3)S.

Workforce Optimization Compatibility

Unified CCX

Cisco Unified Communications Manager
Compliance Recording/Quality Management/Advanced Quality Management1,2
Workforce Management (WFM)3
  • 11.0(1)
  • 10.5(1)
  • 10.5(1)SU2a
  • 10.5(2)
  • 10.5(2)SU1
  • 11.0(1)
  • 11.5(1)
  • 10.0(1)
  • 10.5(1)
  • 11.0(1)
  • 11.5(1)
  • 10.0(1)
  • 10.5(1)
  • 11.0(1)
  • 11.5(1)


1. Compliance Recording/Quality Management/Advanced Quality Management (CR/QM/AQM) are 32-bit applications.
    a. Support for the application client operation on Windows 7 64-bit machines is through WoW64 emulator mode.
    b. Desktop-based monitoring and recording is not supported in WoW64 mode.
2. Cisco QM has direct dependencies upon Cisco Unified Communications Manager for CTI and SIP events. Therefore, QM compatibility with Unified CM is limited to the current Unified CM version at the time of release and at least one prior version. Previous versions of QM are not generally updated for compatibility with new versions of Unified CM. Therefore, when you plan an upgrade, consult the appropriate QM Installation Guide for Unified CM compatibility. See footnote on individual QM versions to identify the Unified Communications Manager versions that are supported by that QM.
3. All associated Service Updates are supported with compatible versions of WFM.

Hardware and Virtualization


Third-Party Software

ASR and TTS

MRCP
VXML
Speech Servers
IBM WebSphere Voice Server
Nuance 10.01, 2
  • 1.0
  • 2.0
  • MRCP Server 1.0
  • ASR – WebSphere Voice Server 5.1.3
  • TTS – CTTS 5.1.3
  • WVS Language Support 5.1.3
  • Speech Server 6.2.x
  • Recognizer 10.2.x
  • Vocalizer 6.0.x
  • Nuance License Manager 11.7
  1. Latest version of the ASR-TTS packages recommended by Nuance can be used. See http://network.nuance.com/portal/server.pt. Using the latest Nuance packages will not impact the integration functionality between Unified CCX and Nuance until there is any major change by Nuance in the underlying design. However, customer should maintain the compatibility among different ASR-TTS packages as suggested by Nuance.
  2. Nuance Version 9.0 and later versions should use OSR 3.1.x as the Grammar Variant. Nuance 8.5 and older versions continue using "Nuance" as the Grammar Variant.


Unified Intelligence Center Reporting

For exporting reports
Microsoft Excel 2007
Microsoft Excel 2010


Enterprise Database

Oracle 11g R2
Sybase Adaptive Server 12
IBM DB2 8.2, 10.5
MS SQL Server 2005
MS SQL Server 2008
MS SQL Server 2012

Note: Unified CCX connection to external databases has been qualified only for non encrypted connections and hence is not supported with encryption.

Enterprise Database for Unified Intelligence Center

MS SQL Server 2008
MS SQL Server 2012
MS SQL Server 2014
Informix Database Server 12.10 FC3


Microsoft Exchange Server for Finesse Email

Microsoft Exchange Server 2010 - Enterprise Edition
Microsoft Exchange Server 2013 - Enterprise and Standard Edition


 

Supported Browsers


Internet  Explorer 10
Native Mode
Internet Explorer 11
Native Mode
Internet Explorer 10
Compatibility Mode

Internet Explorer 11

Compatibility Mode

Firefox
Unifed CCX Administration1, 2
Yes No
Yes
Yes
Firefox 38 Extended Supported Releases (ESR) and higher ESR5
Cisco Finesse3,4
Yes Yes
No
No
Cisco Unified Intelligence Center
No No
Yes
Yes
Cisco MediaSense
Yes Yes
No
No
Firefox 30+


1. Disable the pop-up blocker to access Unified CCX Administration web application.
2. For Internet Explorer 11, ensure that the Emulation Document Mode is set to Edge (Default).
3. HSTS for Finesse is not supported with Internet Explorer 11 and earlier. HSTS is supported with Firefox.
4. Includes the Cisco provided gadgets for MediaSense, Multisession gadget for email and chat, and others that are provided as part of the Unified CCX solution. Few Cisco SocialMiner gadgets like, feed.jsp, campaign.jsp, search.jsp, campaignResults.jsp are not supported.
5. For more information on the logjam vulnerability fix and workaround, see the Caveats section of the Release Notes for Unified Contact Center Express Solution Release 11.0(1), located at: http://www.cisco.com/c/en/us/support/customer-collaboration/unified-contact-center-express/products-release-notes-list.html.
6. Ensure that the compatibility view support guidelines are strictly followed. Failure to abide by these guidelines can cause increase in CPU usage, issues with Finesse agent state changes, and other performance issues. The compatibility view reduces the version of Internet Explorer forcing it to use protocols that are outdated for the purposes of Finesse. TAC support can only be provided if all agents are using the supported browser configuration.

Client Operating System


Windows XP Professional
Windows 7 32-bit
Windows 7 64-bit with WoW64
Windows 7 64-bit Native
Windows 8
Windows 8.1
Red Hat Enterprise Linux v6
Mac OS X
Android
AppleiOS with Safari browser
Enterprise
Professional
Ultimate
Enterprise
Professional
Ultimate
Enterprise
Professional
Ultimate
Editor Yes
  • SP2
  • SP3
No
No
Yes
Yes
Yes
Yes
No
No No No
No
No
No
No
No
Finesse
No

Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No 
Yes
No
Yes
  • 10.6
  • 10.7
  • 10.8
No
No
Mobility Devices Support for Mobile Skill Manager
No
No
No
No
No
No
No
No
No
No No
No
No
No
Yes
  • 4.4
Yes
  • 5.x
  • 6.x


Desktop Virtualization

Cisco Finesse
VMware View 4.6, 5.x, 6.1
Citrix XenDesktop 4.x, 5.0, 5.5, 6.0, 6.5, 7.0, 7.1, 7.5, 7.6
  • The Cisco Unified Intelligence Center and Cisco Unified Contact Center Express Administration are not supported on virtual desktops.


Application Virtualization

Cisco Finesse
Citrix XenApp 7.5, 7.6


Endpoint Devices

SCCP Phones

Cisco Unified IP Phones for Cisco Finesse IP Phone Agent
Cisco Unified IP Phones for Cisco Finesse2,4
Cisco IP Communicator1
Cisco IP Communicator1

Cisco IP Phone 69213

Cisco IP Phone 69413

Cisco IP Phone 6945

Cisco IP Phone 7911G

Cisco IP Phone 7941G

Cisco IP Phone 7942G

Cisco IP Phone 7945G

Cisco IP Phone 7961G

Cisco IP Phone 7962G

Cisco IP Phone 7965G 

Cisco IP Phone 7975

Cisco IP Phone 8941

Cisco IP Phone 8945

1. For supported Cisco IP Communicator (SCCP) versions, see Cisco Unified Communications Manager Software Compatibility Matrix, available at:                                                                                        http://www.cisco.com/en/US/products/sw/voicesw/ps556/products_device_support_tables_list.html.
2. All Cisco Finesse phones support BiB.
3. Supported on Phone Firmware Version 8.5.2 and later versions.
4. Cisco Finesse supports with caveats mentioned in Cisco Finesse section of the Release Notes for Unified Contact Center Express Solution Release 11.0(1), located at: http://www.cisco.com/c/en/us/support/customer-collaboration/unified-contact-center-express/products-release-notes-list.html



SIP Phones

Cisco Unified IP Phones for Cisco Finesse IP Phone Agent4
Cisco Unified IP Phones for Cisco Finesse1,2
Cisco IP Phone 7811
Cisco IP Phone 6941
Cisco IP Phone 7821 Cisco IP Phone 6961
Cisco IP Phone 7841 Cisco IP Phone 7811
Cisco IP Phone 7861
Cisco IP Phone 7821
Cisco IP Phone 8811
Cisco IP Phone 7841
Cisco IP Phone 8841
Cisco IP Phone 7861
Cisco IP Phone 8845
Cisco IP Phone 7911G
Cisco IP Phone 8851
Cisco IP Phone 7941G
Cisco IP Phone 8861
Cisco IP Phone 7942
Cisco IP Phone 8865
Cisco IP Phone 7942G

Cisco IP Phone 7945G

Cisco IP Phone 7961G-GE

Cisco IP Phone 7962G

Cisco IP Phone 7965G

Cisco IP Phone 7975G

Cisco IP Phone 8811

Cisco IP Phone 8841

Cisco IP Phone 8845

Cisco IP Phone 8851

Cisco IP Phone 8861

Cisco IP Phone 8865

Cisco IP Phone 8945

Cisco IP Phone 8961

Cisco IP Phone 9951

Cisco IP Phone 9971

Cisco Jabber for Windows - Version 9.63, 10.6.13,11.03

Cisco IP Phone DX80

Cisco IP Phone DX650


1. All Cisco Finesse phones support BiB.
2. Cisco Finesse supports with caveats mentioned in Cisco Finesse section of the Release Notes for Unified Contact Center Express Solution Release 11.0(1), located at: http://www.cisco.com/c/en/us/support/customer-collaboration/unified-contact-center-express/products-release-notes-list.html
3. Unified CCX supports Cisco Jabber for Windows as an agent device only for voice interaction. For home agents, set Jabber to Extend Mode so that the agents can select or edit the remote destination number.
Note: The Cisco Mobile Supervisor application is withdrawn from the Cisco App Store. Cisco does not provide support for Cisco Mobile Supervisor deployments.

4. All the Cisco IP Phones for Cisco Finesse IP Phone Agent currently do not support the Simplified New Call UI.

System

Cisco VPN Client for Desktop Clients
Security/Antivirus Software
Serviceability
Real Time Monitoring Tool (RTMT) Plugin
Cisco AnyConnect 3 and later versions
SELinux is installed and configured by Unified CCX Installer 
                    10.5


Platform

UCOS Platform Version
Internal Unified CCX Database (IDS)
Transport Layer Security (TLS) Tomcat
Open SSL
Red Hat Enterprise Linux (RHEL)
Java Versions
Servers
10.5.2.11900-3
Informix IDS 11.70.UC7XA
  • 1.0
  • 1.1
  • 1.2
Tomcat 7.0.64
1.0.1e
6.6

Sun JRE 1.7.0_79

  • Custom Classes/SDK
  • Real-Time Reporting

Supported Languages


ASR Grammar for Workflow Steps
Cisco IP Phone Agent Supported Languages
Unified Intelligence Center
Unified CCX Administration

Cisco

Finesse

IVR Prompts
MediaSense
SocialMiner
TTS
VXML Grammar
Workforce Management
Quality Management
Arabic
No
No No No No Yes Yes No Dependent on software provided by  the TTS vendor Dependent on software provided by the MRCP vendor No No
Canadian French Yes
No Yes No No Yes No Yes No No
Cantonese
No No No No No No No No No No
Cantonese
HongKong
No No No No No Yes No No No No
Chinese
No
No
No No No No No No No No
Czech
No
No
No No No Yes No No No No
Danish
No
Yes Yes No Yes Yes Yes Yes Yes Yes
Dutch
No
Yes Yes No Yes Yes Yes Yes Yes Yes
English
Yes

(GB, US)

Yes Yes
(GB, US)
Yes Yes Yes
(AU, CA, GB, US)
Yes (US) Yes Yes Yes
Finnish
No
Yes
Yes No Yes 
Yes Yes Yes No No
French
Yes
Yes Yes No Yes Yes

Yes Yes Yes Yes
German
Yes
Yes Yes No Yes 
Yes Yes Yes Yes Yes
Hebrew
No
No
No No No Yes (IL) No No No No
Hungarian
No
No
No No No Yes No No No No
Italian
Yes
Yes Yes No Yes Yes Yes Yes Yes Yes
Japanese
Yes
Yes  Yes No Yes Yes Yes Yes1 No Yes
Korean
No
Yes
Yes No Yes 
Yes Yes Yes1 No Yes
Malay
No
No
No No No Yes No No No No
Chinese
Mandarin
No
No
No No No 
Yes and also Mandarin (Taiwan) No Yes1 and also in Taiwan1 No No
Norwegian
No
Yes
Yes No Yes Yes Yes Yes No No
Polish
No
Yes No No Yes Yes Yes Yes No No
Portuguese
No
Yes Yes and also in Portuguese(Brazilian) No   Yes
Yes (Brazilian) Yes (Brazilian) Yes (Brazilian)
Yes (Brazilian) Yes (Brazilian)
Russian
No
Yes Yes No   Yes
Yes Yes Yes No Yes
Simplified Chinese No
Yes Yes No Yes No Yes No No Yes
Spanish
Yes

(CO, ES, MX)

Yes Yes No Yes 
Yes
(CO, ES, MX, US)
Yes Yes Yes Yes
Swedish
No
Yes Yes No Yes Yes Yes Yes Yes Yes
Thai
No
No No No No Yes No No No No
Traditional Chinese No
Yes Yes No Yes No Yes No No Yes
Turkish
No
Yes Yes  No Yes Yes Yes Yes No No
  1. Not supported for Customer-side Chat Transcript PDF output.
  2.  Finesse IPPA supports all languages currently supported by Finesse provided that the phones support UTF.


Remote Expert Mobile

For more information on Cisco Remote Expert Mobile, see the Cisco Contact Center Solutions and Unified Communications Manager Solution Configuration Guide for Remote Expert Mobile.

Apple iOS Device Support for REM

Apple iOS 7 and iOS 8 Devices Models
iPad iPad Air, iPad Air 2, iPad 2, iPad 3rd Generation, iPad 4th Generation
iPad Mini iPad Mini, iPad Mini with Retina Display, iPad Mini 3
iPhone iPhone 4S, iPhone 5, iPhone 5C, iPhone 5s, iPhone 6, iPhone 6 Plus, iPhone 7, iPhone 7 Plus
iPod Touch iPod Touch 5th Generation


Android Device Support for REM

Android Vendors Models
Samsung Galaxy S4, S4 Mini, S5, S5 Mini, S6, S7
Galaxy Note III (or newer)
Galaxy Tab S, Tab 4 (8.4" and 10.1")
Google Nexus 5, 6, 7, 9, and 10
LG G2, Optimus G3
Motorola Moto G
HTC One M7, M8, One Max
HP Slate 7, 8, and 10

Additional Notes:

  • Devices must be running Android version 4.1.2 or later (Jellybean, KitKat, Lollipop, Marshmallow, Nougat).
  • Not all devices have been tested, but the above are known to work.


Jabber System Requirements for REM Agents

System Requirement Jabber for Windows and Finesse Agent Desktop Jabber for Mac and Finesse Agent Desktop
Operating System
  • Microsoft Windows 7 SP1 or later: 32 and 64 bit
  • Microsoft Windows 8.x: 32 and 64 bit
  • Windows 10: 32-bit and 64-bit
  • Apple OS X Mountain Lion 10.8.1 or later
  • Apple OS X Mavericks 10.9 or later
  • Apple OS X Yosemite 10.10 or later
Installed RAM

4 GB

4GB

Free physical memory 2 GB 2 GB
Free disk space 1 GB 1 GB
CPU speed and type 4th Generation Intel Core i3 or later 1.6-GHz dual-core Intel Core i5 or later on the following hardware:
  • Mac Pro
  • MacBook Pro (including Retina Display models)
  • MacBook
  • MacBook Air
  • iMac
  • Mac mini
GPU DirectX 11 on Microsoft Windows 7 N/A
I/O ports USB 2.0 for USB camera and audio devices USB 2.0 for USB camera and audio devices
Screen resolution For Finesse clients, the minimum supported screen resolution is 1024x768. For Finesse clients, the minimum supported screen resolution is 1024x768.


Browser Support for REM Customers

Browser Supported Version Verified Against Plug-in Required Platform / Operating System
Google Chrome 33+ 47 No
  • Windows
  • OSX
  • Linux
  • Chromebook
Mozilla Firefox 28+ 40-43 No
  • Windows
  • OSX
  • Linux
Microsoft Internet Explorer 11 11 Yes Windows
Apple Safari 8+ 8.3 Yes OSX
Microsoft Edge 12+ 12 No Windows 10 Co-browsing only—no Voice & Video
Opera 28+ N/A No
  • Windows
  • OSX
  • Linux

Note: Mobile browsers are not supported.


Rating: 4.5/5 (2 votes cast)

Personal tools